com.sun.source.doctree

## Interface DocCommentTree

All Superinterfaces:
  DocTree

    @Exported
    public interface DocCommentTree
    extends DocTree

The top level representation of a documentation comment.

first-sentence body block-tags

Since:
  1.8

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

`DocTree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends DocTree>` `getBlockTags()`
`List<? extends DocTree>` `getBody()`
`List<? extends DocTree>` `getFirstSentence()`

### Methods inherited from interface com.sun.source.doctree.DocTree

`accept, getKind`

### Method Detail

#### getFirstSentence

    List<? extends DocTree> getFirstSentence()

#### getBody

    List<? extends DocTree> getBody()

#### getBlockTags

    List<? extends DocTree> getBlockTags()